# This file was generated by liblab | https://liblab.com/

from .services.flights import FlightsService
from .services.hotels import HotelsService
from .services.car_hire import CarHireService
from .net.environment import Environment


class SkyscannerReferrals:
    def __init__(
        self,
        api_key: str = None,
        api_key_header: str = "X-API-KEY",
        base_url: str = Environment.DEFAULT.value,
    ):
        """
        Initializes SkyscannerReferrals the SDK class.
        """
        self.flights = FlightsService(base_url=base_url)
        self.hotels = HotelsService(base_url=base_url)
        self.car_hire = CarHireService(base_url=base_url)
        self.set_api_key(api_key, api_key_header)

    def set_base_url(self, base_url):
        """
        Sets the base URL for the entire SDK.
        """
        self.flights.set_base_url(base_url)
        self.hotels.set_base_url(base_url)
        self.car_hire.set_base_url(base_url)

        return self

    def set_api_key(self, api_key: str, api_key_header="X-API-KEY"):
        """
        Sets the api key and the api key header for the entire SDK.
        """
        self.flights.set_api_key(api_key, api_key_header)
        self.hotels.set_api_key(api_key, api_key_header)
        self.car_hire.set_api_key(api_key, api_key_header)

        return self


# c029837e0e474b76bc487506e8799df5e3335891efe4fb02bda7a1441840310c
